Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_Server_Request.h File Reference

`#include "ace/SString.h"`
`#include "tao/Tagged_Profile.h"`
`#include "tao/Service_Context.h"`
`#include "tao/Object.h"`
`#include "PortableInterceptorC.h"`
`#include "TAO_Server_Request.i"`

Include dependency graph for TAO_Server_Request.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
namespace | CORBA
namespace | TAO::CSD
## Classes
class | TAO_ServerRequest
| Class representing a ServerRequest object. More...

## Detailed Description

Id
  TAO_Server_Request.h,v 1.38 2005/11/24 11:05:46 ossama Exp

Header file for CORBA's Server Skeleton Interface's "Server Request" type.

Author:
  Copyright 1994-1995 by Sun Microsystems Inc.

  Chris Cleeland

  Aniruddha Gokhale